Endpoint that will redirect to the global root node.
1 min
GET
/api/episerver/v3.0/contentstructure
Query Parameters
- includestring
Responses
302
400
403
curl
curl --request GET \
--url /api/episerver/v3.0/contentstructure \
--header 'accept: application/problem+json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/problem+json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/contentstructure", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/contentstructure")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/problem+json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/contentstructure"
payload = {}
headers = {
'accept': 'application/problem+json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
302
// Redirect
400
// Bad Request
403
// Forbidden
PREVIOUS
Creates or updates new media content via {multipart/form-data} request.There should be two parts: one named {content} with its body in JSON format; the other one refers to the binary data of the media content.
NEXT
Gets the content structure from the content with the provided content reference or unique identifier.